CG(1)

NAME
cg - Recursively grep for a pattern and store it.

SYNOPSIS
cg [ -l ] | [ [ -i ] pattern [ files ] ]

DESCRIPTION
cg does a search though text files (usually source code) recursively for a pattern, storing matches and displaying the output in a human-readable fashion. It is intended to give some of the functionally of AT&T's cscope(1) tool, with the advantages of simplicity and not being language-specific. The script will colorize output if configured as such.

It is typically run with a Perl regular expression to search for. The search can be made case insensitive by using the -i option. A list of files may also be specified with an additional argument after the pattern. Put the files pattern in quotes to make it be matched by Perl rather than by the shell. Running the script with no arguments will recall the results of the previous search. After the search, entries found can be edited using the vg(1) script. The -l option shows the last log made.

SOME EXAMPLES
cg - alone recalls the previous search results.

cg -i pattern - search the default list of files for all files matching the pattern (and case-insensitively).

cg pattern '*.c' - search recursively for pattern in all *.c files. This automatically converts '*' to '.*' and '.' to '\.' for you and does a Perl pattern match on all files in the tree.

cg pattern *.c - search through the shell-expanded list of *.c files, so not done recursively (in other words, only the files your shell pass to the script as arguments).

cg -l - show the last log made.

COMMAND-LINE OPTIONS

-i  Do a case-insensitive search.

-l  Show the last log made.

-p  Toggle the default pager option. cg has a bulit-in pager function, which can be enabled or disabled by default (in .cgvgrc). If the default is enabled, this option disables the pager; if the default is disabled, this option enables it.

-P  Force the built-in pager to be disabled.

FILES

${HOME}/.cglast
    Log file of the last search.

${HOME}/.cgvgrc
    Per-user configuration file (if the defaults are not desirable).

${HOME}/.cgvg/*
    Log files in $HOSTNAME.shell_pid form with the log of the last search.

SEE ALSO
vg(1), perl(1), find(1), grep(1), cscope(1)

AUTHOR
cg was written by Joshua Uziel <uzi@uzix.org>.